%global sname functools32
# upstream uses a weird versioning scheme
%global up_version 3.2.3-2


Name:           python-functools32
Version:        3.2.3.2
Release:        6%{?dist}
Url:            https://github.com/MiCHiLU/python-functools32
Summary:        Backport of the functools module from Python 3.2 for use on 2.7
License:        Python
Source:         https://pypi.io/packages/source/f/%{sname}/%{sname}-%{up_version}.tar.gz
BuildArch:      noarch

%description
Backport of the functools module from Python 3.2.3 for use on 2.7 and PyPy.


%package -n python2-%{sname}
Summary:        Backport of the functools module from Python 3.2 for use on 2.7
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%{?python_provide:%python_provide python2-%{sname}}

%description -n python2-%{sname}
Backport of the functools module from Python 3.2.3 for use on 2.7 and PyPy.


%prep
%autosetup -n %{sname}-%{up_version}

%build
%py2_build

%install
%py2_install

%check
%{__python2} test_%{sname}.py


%files -n python2-%{sname}
%license LICENSE
%doc ChangeLog
%{python2_sitelib}/%{sname}
%{python2_sitelib}/%{sname}*.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Iryna Shcherbina <ishcherb@redhat.com> - 3.2.3.2-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 12 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 3.2.3.2-1
- Initial package

